From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 26 March 2005<P>

Tanq, I am new here but that was awesome.  I can totally relate.  That's my era.  And I agree, your writting rocks!!
<HR>
From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 26 March 2005<P>

Tanq ~ James Avery? Loved that line. Are you in Texas? I have a treasured silver cross that my dad gave me a few years back.
<HR>
From: <a href="/blend/av.cgi?id=1552">Juhaa</a><BR>
Date: 26 March 2005<P>

Varda I this this <a href="/blend/wv.cgi?id=2005.03.26.18.06.12088">One Shoe</a> is smart, fun and surprisingly profound. I enjoyed the read. 
<HR>
From: <a href="/blend/av.cgi?id=1552">Juhaa</a><BR>
Date: 26 March 2005<P>

ummmm...that was supposed to say ...I think this...
<HR>